package org.example.lifecycle;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;

public class LifeCycle extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        Log.i("LifeCycle", "onCreate()");
    }
    
    @Override
    public void onStart() {
    	super.onStart();
        Log.i("LifeCycle", "onStart()");
    }
    
    @Override
    public void onResume() {
    	super.onResume();
        Log.i("LifeCycle", "onResume()");
    }
    
    @Override
    public void onPause() {
    	super.onPause();
        Log.i("LifeCycle", "onPause()");
    }
    
    @Override
    public void onStop() {
    	super.onStop();
        Log.i("LifeCycle", "onStop()");
    }
    
    @Override
    public void onDestroy() {
    	super.onDestroy();
        Log.i("LifeCycle", "onDestroy()");
    }
    
    @Override
    public void onRestart() {
    	super.onRestart();
        Log.i("LifeCycle", "onRestart()");
    }
    
}